
const label = '分页框';
const name = 'PaginationBox';
let i = 1;
const uniqueId = () => `pagination-box-${i++}`;

export const paginationRule = {
	// 插入菜单位置
	menu: 'aide',
	// 图标
	icon: 'fc-icon-code ',
	// 名称
	label: label,
	// id，唯一!
	name: name,
	// 是否可以操作
	mask: true,
	// 定义组件的事件
	event: [
		"handleCurrentChange",
		"handleSizeChange",
	],
	// 定义组件的渲染规则s
	rule() {
		return {
			type: name,
			field: uniqueId(),
			title: label,
			info: '',
			effect: {
				fetch: '',
			},
			props: {
				queryParams: {},
				count: 0,
			},
		};
	},

	// 自定义组件的属性配置
	props() {
		return [
			{
				type: 'Struct',
				title: '查询参数',
				field: 'queryParams',
				_fc_important_prop: true,
				props: {
					// validate(val) {
					// 	return !val;
					// }
				},
				value: {}
			},
			{
				type: 'inputNumber',
				title: '总条数',
				field: 'count',
				value: 0,
				props: { min: 0 }
			},
		];
	},
};
